Subject: Re: next-20150806 build: 2 failures 52 warnings (next-20150806)

From: Jiang Liu <[email-masked]>
Date: Wed, 12 Aug 2015 16:21:25 +0800

On 2015/8/11 2:31, Bjorn Helgaas wrote:
> On Fri, Aug 7, 2015 at 4:49 AM, Mark Brown <[email-masked]> wrote:
>> On Fri, Aug 07, 2015 at 07:39:54AM +1000, Stephen Rothwell wrote:
>>> On Thu, 6 Aug 2015 18:53:22 +0100 Mark Brown <[email-masked]> wrote:
>>
>>>> msi_desc_to_pci_sys_data doesn't appear to exist anywhere else in
>>>> current -next, the usage was introduced by e39758e0ea769e632e (PCI: Use
>>>> helper functions to access fields in struct msi_desc) at which time it
>>>> looks like it did exist but I can't immediately see where it was removed.
>>
>>> Actually, it is a typo ... all other uses are spelt msi_desc_to_pci_sysdata.
> 
> c179c9b978b9 ("PCI: Add helper function msi_desc_to_pci_sysdata()")
> added msi_desc_to_pci_sysdata().
> 
> e39758e0ea76 ("PCI: Use helper functions to access fields in struct
> msi_desc") added calls to msi_desc_to_pci_sysdata() in
> pci-keystone-dw.c and pcie-designware.c, but to
> msi_desc_to_pci_sys_data() (note extra "_") in pcie-xilinx.c.
> 
> These were both merged by Thomas, so I assume he and Jiang will sort this out.
Hi Bjorn and Mark,
	Thomas is on vocation this two weeks, so I will send him a
patch to fix this issue once Thomas is back.
Thanks!
Gerry